rdalsaconfig
1
August 2019
Linux Audio Manual

# rdalsaconfig

Utility for managing Rivendell ALSA configuration
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdalsaconfig
          options

## Description

When invoked with no options, `rdalsaconfig` 1 will query the system for the list of available ALSA PCM devices and display the results in a GUI applet, with the device(s) currently configured for use by Rivendell highlighted. The user may select and/or deselect devices for Rivendell and save the result.

## Options

`--asoundrc-file=filename`

  Load and save the Rivendell configuration file from filename. Default value is `/etc/asound.conf`.

`--autogen`

  Generate and save a Rivendell configuration containing all available ALSA PCM devices, then exit. This option is mutually exclusive with the `--rewrite` option (see below).

`--manage-daemons`

  Restart the Rivendell service as necessary to make configuration changes active (requires root permission).

`--rewrite`

  Load the current Rivendell configuration, save it back to the same location, then exit (useful for upgrading an existing v2.x configuration to the enhanced v3.x format). This option is mutually exclusive with the `--autogen` option (see above).